/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ICONLOADER_H
#define ICONLOADER_H

#include <qpixmap.h>

/**
 * container for all the icons
 * @author Bernd Juraschek
 */
class iconloader
{
public:
  iconloader(const QString& baseDir);
  ~iconloader();
public:
  QPixmap iconEngine[4];
  QPixmap iconIdle;
  QPixmap iconPlays;
  QPixmap iconRecords;
  QPixmap iconUnknown;
  QPixmap iconLong;
  QPixmap iconDigits[10];
  QPixmap iconColon;
  QPixmap iconSeconds;
  QPixmap iconGreater;
  QPixmap iconDot;
private:
  void loadIcons(const QString& baseDir);
  QPixmap loadIcon(const QString& dir, const QString& name);
};

#endif
